<?php
/*
Template Name: contact
*/
?>

<?php get_header(); ?>

	<div id="container">
		<div id="content" class="hfeed">

<?php the_post(); ?>

		<?php
		//validate email adress
		function is_valid_email($email)
		{
  			return (eregi ("^([a-z0-9_]|\\-|\\.)+@(([a-z0-9_]|\\-)+\\.)+[a-z]{2,4}$", $email));
		}
		
		//clean up form fields to prevent bcc injection
		function telaweb_safe($value)
		{
			$value = trim(strip_tags(htmlspecialchars($value)));
			$value = preg_replace("/\r/", "", $value);
			$value = preg_replace("/\n/", "", $value);
			return(preg_replace(array("/bcc\:/i","/Content\-Type\:/i","/cc\:/i","/to\:/i"), '', $value));
		}

		//clean up text
		function clean($text)
		{
			return stripslashes($text);
		}

		//encode special chars (in name and subject)
		function encodeMailHeader ($string, $charset = 'UTF-8')
		{
    		return sprintf ('=?%s?B?%s?=', strtoupper ($charset),base64_encode ($string));
		}

		$tela_name    = (isset($_POST['tela_name']))    ? $_POST['tela_name']    : "";
		$tela_email   = (isset($_POST['tela_email']))   ? $_POST['tela_email']   : "";
		$tela_url     = (isset($_POST['tela_url']))     ? $_POST['tela_url']     : "";
		$tela_subject = (isset($_POST['tela_subject'])) ? $_POST['tela_subject'] : "";
		$tela_message = (isset($_POST['tela_message'])) ? $_POST['tela_message'] : "";

		$tela_name = telaweb_safe($tela_name);
		$tela_email = telaweb_safe($tela_email);
		$tela_url = clean($tela_url);
		$tela_subject = clean($tela_subject);
		$tela_message = clean($tela_message);
		$error_msg = "";
		$send = 0;

		if (!empty($_POST['submit'])) {
			$send = 1;
			if (empty($tela_name) || empty($tela_email) || empty($tela_message)) {
				$error_msg.= "<p><strong>Please fill in all required fields.</strong></p>";
				$send = 0;
			}
			if (!is_valid_email($tela_email)) {
				$error_msg.= "<p><strong>Your email adress failed to validate.</strong></p>";
				$send = 0;
			}
		}

		if (!$send) { ?>
		
			<div id="post-<?php the_ID(); ?>" class="<?php the_alew_class('post'); ?>">
			
				<h2 class="entry-title"><?php the_title(); ?></h2>
				
				<div class="entry-content">
<?php the_content(); ?>
<?php echo $error_msg; ?>

				<form method="post" action="<?php echo "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']; ?>" id="contactform">

					<div id="comment-notes">Your email is <em>never</em> published nor shared. Required fields are marked <span class="req-field">*</span>.</div>
		
					<div class="form-label"><label for="author">Name</label> <span class="req-field">*</span></div>
					<div class="form-input"><input type="text" name="tela_name" id="tela_name" value="<?php echo $tela_name; ?>" tabindex="1" /></div>
					
					<div class="form-label"><label for="email">Email</label> <span class="req-field">*</span></div>
					<div class="form-input"><input type="text" name="tela_email" id="tela_email" value="<?php echo $tela_email; ?>" tabindex="2" /></div>
					
					<div class="form-label"><label for="url">Website</label></div>
					<div class="form-input"><input type="text" name="tela_url" id="tela_url" value="<?php echo $tela_url; ?>" tabindex="3" /></div>
					
					<div class="form-label"><label for="subject">Subject</label></div>
					<div class="form-input"><input type="text" name="tela_subject" id="tela_subject" value='<?php echo $tela_subject; ?>' tabindex="4" /></div>
						
					<div class="form-label"><label for="message">Message</label> <span class="req-field">*</span></div>
					<div class="form-textarea"><textarea name="tela_message" id="tela_message" cols="45" rows="10" tabindex="5"><?php echo $tela_message; ?></textarea></div>
						
					<div class="form-submit"><input type="submit" name="submit" value="Submit" class="button" tabindex="6" /></div>
				
				</form>

				</div>
				
				<div class="entry-meta">
<?php edit_post_link('Edit this entry', '<span class="entry-editlink">', '</span>'); ?>
				</div>
				
			</div><!-- .post -->
		
		<?php
		} else {

			$displayName_array	= explode(" ",$tela_name);
			$displayName = htmlentities(utf8_decode($displayName_array[0]));

			$header  = "MIME-Version: 1.0\n";
			$header .= "Content-Type: text/plain; charset=\"utf-8\"\n";
			$header .= "From:" . encodeMailHeader($tela_name) . "<" . $tela_email . ">\n";
			$header .= "Reply-To: " . encodeMailHeader($tela_name) . "<" . $tela_email . ">\n";
			$email_subject	= "[" . get_settings('blogname') . "] " . encodeMailHeader($tela_subject);
			$email_text		= "From......: " . $tela_name . "\n" .
							  "Email.....: " . $tela_email . "\n" .
							  "Url.......: " . $tela_url . "\n\n" .
							  "..........................................................\n" .
							  "Subject...: " . $tela_subject . "\n" .
							  "..........................................................\n\n" .
							  $tela_message;

			if (@mail(get_settings('admin_email'), $email_subject, $email_text, $header)) {
				echo "<h2>Hey " . $displayName . ",</h2><p>thanks for your message! I'll get back to you as soon as possible.</p>";
			} else { 
	  			echo "<p>There was a system error. Your message has not been sent. Please try again later.</p>"; 
			};			

		}
		?>

		</div><!-- #content .hfeed -->
	</div><!-- #container -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>