<?php
  $base_url = htmlentities(get_settings('siteurl').'/wp-content/plugins/alew/');
  echo "<link rel=\"stylesheet\" href=\"".wp_specialchars($base_url)."alew.css\" type=\"text/css\" />";
?>
<div class="wrap">
<h2><?php _e('A.L.E.W.', 'alew'); ?>  1.1
<small class="quickjump"><?php _e('Advanced Layout Extension for WordPress', 'alew'); ?></small></h2>  
<?php _e('Visit this page for more sample code', 'alew'); ?>:

<br><br>

<h2>Function List</h2>
<a href="#alew_excerpt">alew_class</a> &nbsp;&nbsp;
<a href="#alew_excerpt">alew_excerpt</a> &nbsp;&nbsp;
<a href="#alew_recent_posts">alew_recent_posts</a> &nbsp;&nbsp;
<a href="#alew_sticky_page">alew_sticky_page</a> &nbsp;&nbsp;
<a href="#alew_teaser">alew_teaser</a> &nbsp;&nbsp;


<h3 id="alew_class">alew_class</h3>
<p class=function><strong>alew_class</strong> ( string <strong>in_tag</strong> )</p>
<p>This function returns a class name depending on context, and needs to be called within these html tags <code>in_tag</code> in ('body', 'post', 'comment').
</p>


<h3 id="alew_excerpt">alew_excerpt</h3>
<p class=function><strong>alew_excerpt</strong> ( [string <strong>min_height</strong> [, string <strong>max_height</strong> [, string <strong>more_link_text</strong> [, string <strong>allowable_tags</strong>]]]] )</p>
<p>An equivalent to <code>the_excerpt</code> function, with additional layout features -- same parameters as in <code>alew_teaser</code>.<br>
Will display the teaser if no excerpt was written.<br>
Notice: Contrary to <code>alew_teaser</code>, the &lt;p&gt; tags can be filtered.<br>
</p>


<h3 id="alew_recent_posts">alew_recent_posts</h3>
<p class=function><strong>alew_recent_posts</strong> ( [integer <strong>post_count</strong> [, integer <strong>offset_count</strong>]] )</p>
<p>Returns the <code>post_count</code> most recent posts (exluding the last post: <code>offset_count</code> set to 1 by default).
</p>


<h3 id="alew_sticky_page">alew_sticky_page</h3>
<p class=function><strong>alew_sticky_page</strong> ( string <strong>sticky_page</strong> [, string <strong>page</strong>] )</p>
<p>This function displays the content of the page <code>sticky_page</code>. The optional second argument is a page name to which <code>sticky_page</code> can link via 'Read more'.
</p>


<h3 id="alew_teaser">alew_teaser</h3>
<p class=function><strong>alew_teaser</strong> ( [string <strong>min_height</strong> [, string <strong>max_height</strong> [, string <strong>more_link_text</strong> [, string <strong>allowable_tags</strong> [, string <strong>img_format</strong>]]]]] )</p>
<p>An equivalent to <code>the_content</code> function that forces the teaser to display, with additional layout features.</p>
<dl><dt>Typical use:</dt>
<pre>query_posts('pagename=dummy');
if (have_posts()) {
  the_post();
  alew_teaser(); 
};
</pre>
<dt>min_height, max_height:</dt>
<dd>Puts teaser into a defined CSS box not less than min_height high and no greater than max_height. Will not work for IE6 or previous versions, unless min_height = max_height. Takes NULL values if you don't want to define a box. <br>
<i>Example:</i> <br>
<pre><code>alew_teaser('150px', '200px');</code></pre></dd>
<dt>more_link_text:</dt>
<dd>NULL or '&lt;!--no-link--&gt;': The user will click on the full teaser to display the full content. <br>
Or put the more_link text: The user clicks on this text to display the full content. <br>
<i>Example:</i> <br>
<pre><code>alew_teaser('4cm', '4cm', 'Click to read more...');</code></pre></dd>
<dt>allowable_tags:</dt>
<dd>Restricts the html tags to display in the teaser. Takes the NULL value if you don't want to filter. <br>
Notice: the &lt;p&gt; tags can't be filtered.<br>
<i>Example:</i> <br>
<pre><code>alew_teaser(NULL, NULL, '(more...)', '&lt;img&gt;&lt;h3&gt;&lt;h2&gt;');</code></pre></dd>
<dt>image_format:</dt>
<dd>If the value is 'miniature' or 'thumbnail' the images will be replaced by their miniature or thumbnail equivalents.<br>
<i>Example:</i> <br>
<pre><code>alew_teaser(NULL, NULL, 'Click to enlarge picture.', NULL, 'miniature');</code></pre></dd>
</dl>









</div>